import { configure } from 'enzyme';
import Adapter from '@wojtekmaj/enzyme-adapter-react-17';
import 'jest-enzyme';

configure({ adapter: new Adapter() });

global.localStorage = {
  getItem: jest.fn(),
  setItem: jest.fn(),
  removeItem: jest.fn(),
  clear: jest.fn(),
};

global.google = {
  maps: {
    Geocoder: class {
      constructor() {}
    }
  },
};

global.window = {
  location: {
    href: "http://test-url-base/",
  }
}